/* 
* This file is part of STiD135 OXFORD LLA 
* 
* Copyright (c) <2014>-<2018>, STMicroelectronics - All Rights Reserved 
* Author(s): Mathias Hilaire (mathias.hilaire@st.com), Thierry Delahaye (thierry.delahaye@st.com) for STMicroelectronics. 
* 
* License terms: BSD 3-clause "New" or "Revised" License. 
* 
* Redistribution and use in source and binary forms, with or without 
* modification, are permitted provided that the following conditions are met: 
* 
* 1. Redistributions of source code must retain the above copyright notice, this 
* list of conditions and the following disclaimer. 
* 
* 2. Redistributions in binary form must reproduce the above copyright notice, 
* this list of conditions and the following disclaimer in the documentation 
* and/or other materials provided with the distribution. 
* 
* 3. Neither the name of the copyright holder nor the names of its contributors 
* may be used to endorse or promote products derived from this software 
* without specific prior written permission. 
* 
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
* AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
* IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
* DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE 
* FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL 
* DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR 
* SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, 
* OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
* 
*/ 
#ifndef _DVBSX_HWARE_GEN_REG_INIT_H
#define _DVBSX_HWARE_GEN_REG_INIT_H

/* -------------------------------------------------------------------------
 * File name  : dvbsx_hware_gen_reg_init.h
 * File type  : C header file
 * -------------------------------------------------------------------------
 * Description:  Register map constants
 * Generated by spirit2regtest v2.24_alpha3
 * -------------------------------------------------------------------------
 */


/* Register map constants */

/* RCDEBUG1 */
#define RC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1                            0x00000019
#define RC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1__DEFAULT                   0x0       
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1_SCRAUL_UNSYNC__MASK        0x01      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1_SCRAULBAD__MASK            0x02      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1_UL_SCRAMBDETECY__MASK      0x04      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1_NOT_UL_SCRAMBDETECT__MASK  0x08      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1_DILUL_NOSCRAMBLER__MASK    0x10      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1_SUL_SELECTOS__MASK         0x20      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1_ULDTV67_FALSELOCK_DETECTM__MASK 0x40      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG1_SDESC_UNSYNCOS__MASK       0x80      

/* RCDEBUG0 */
#define RC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0                            0x0000001a
#define RC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0__DEFAULT                   0x0       
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0_SCRALL_UNSYNC__MASK        0x01      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0_SCRALLBAD__MASK            0x02      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0_LL_SCRAMBDETECT__MASK      0x04      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0_NOT_LL_SCRAMBDETECT__MASK  0x08      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0_DILLL_NOSCRAMBLER__MASK    0x10      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0_NOT_SUL_SELECTOS__MASK     0x20      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0_LLDTV67_FALSELOCK_DETECTM__MASK 0x40      
#define FC8CODEW_DVBSX_HWARE_GEN_RCDEBUG0_RS_ERR__MASK               0x80      

/* TSGENERAL */
#define RC8CODEW_DVBSX_HWARE_GEN_TSGENERAL                           0x00000020
#define RC8CODEW_DVBSX_HWARE_GEN_TSGENERAL__DEFAULT                  0x0       
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENERAL_RST_REEDSOLO__MASK        0x01      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENERAL_TSFIFO_PERMPARAL__MASK    0x06      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENERAL_MUXSTREAM_OUTMODE__MASK   0x08      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENERAL_MUXSTREAM_COMPMODE__MASK  0x30      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENERAL_TSFIFO_DISTS2PAR__MASK    0x40      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENERAL_EN_LGNERROR__MASK         0x80      

/* TSGENCFG2 */
#define RC8CODEW_DVBSX_HWARE_GEN_TSGENCFG2                           0x00000021
#define RC8CODEW_DVBSX_HWARE_GEN_TSGENCFG2__DEFAULT                  0x0       
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENCFG2_PCRCLK_DEFMODE__MASK      0x07      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENCFG2_INVTSIN_EXTNCR1__MASK     0x08      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENCFG2_TSFIFO_ULTRABS__MASK      0x30      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENCFG2_TSUFBS_PATHSEL__MASK      0x40      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGENCFG2_TSUFBS_ITSEL__MASK        0x80      

/* TSGSTATUS */
#define RC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS                           0x00000022
#define RC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS__DEFAULT                  0x0       
#define FC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS_TSFIFORC_DEMODSEL__MASK   0x01      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS_TSFIFO2_DEMODSEL__MASK    0x02      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS_TSFIFO1_DEMODSEL__MASK    0x04      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS_RSIN_OVERTIME__MASK       0x08      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS_RS_MULTCALC__MASK         0x10      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS_RSMEM_FULL__MASK          0x20      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS_TSUFBS1_ENABLE__MASK      0x40      
#define FC8CODEW_DVBSX_HWARE_GEN_TSGSTATUS_TSUFBS2_ENABLE__MASK      0x80      

/* TSRSCFG */
#define RC8CODEW_DVBSX_HWARE_GEN_TSRSCFG                             0x00000023
#define RC8CODEW_DVBSX_HWARE_GEN_TSRSCFG__DEFAULT                    0x0       
#define FC8CODEW_DVBSX_HWARE_GEN_TSRSCFG_MAX_ERASURES__MASK          0x0F      
#define FC8CODEW_DVBSX_HWARE_GEN_TSRSCFG_NOVER_RSERASURE__MASK       0x10      
#define FC8CODEW_DVBSX_HWARE_GEN_TSRSCFG_RSER_MULTIPASSES__MASK      0x60      
#define FC8CODEW_DVBSX_HWARE_GEN_TSRSCFG_DIS_RSTOVF__MASK            0x80      

/* TSTTSRS */
#define RC8CODEW_DVBSX_HWARE_GEN_TSTTSRS                             0x00000024
#define RC8CODEW_DVBSX_HWARE_GEN_TSTTSRS__DEFAULT                    0x0       
#define FC8CODEW_DVBSX_HWARE_GEN_TSTTSRS_TSTRS_DISRS1__MASK          0x01      
#define FC8CODEW_DVBSX_HWARE_GEN_TSTTSRS_TSTRS_DISRS2__MASK          0x02      
#define FC8CODEW_DVBSX_HWARE_GEN_TSTTSRS_DIS_RSINKILL__MASK          0x04      
#define FC8CODEW_DVBSX_HWARE_GEN_TSTTSRS_REMOVE_ALLBUGS__MASK        0x80      


/* Number of registers */
#define C8CODEW_DVBSX_HWARE_GEN_REG_NBREGS                           7         

/* Number of fields */
#define C8CODEW_DVBSX_HWARE_GEN_REG_NBFIELDS                         43        



#endif /* #ifndef _DVBSX_HWARE_GEN_REG_INIT_H */
